#include <edit.h>

/* Ignore the card with index i (and its translation) by marking it tested */
ignore(entry cards[MAX_NUM_ENTRIES],
       word  n[2],		       /* number of entries */
       word  n_tested[2],              /* number of tested entries */
       int   i);
{
  int j;			       /* loop control */
  
  /* Mark the original card */
  cards[i].byte1 = cards[i].byte1 | TESTED;
  n_tested[(cards[i].byte1 & LANGUAGE) >> 7]++;
  
  /* Do I want to mark all translations? */
  for (j=0; j<cards[i].num_translations; j++) {
    cards[i].count[j] = max_count;
    /* We have to distinguish 2 cases:
     * - The translation only refers to this card => mark as tested
     * - The translation refers to more than this card, all others are tested => mark as tested */
    tested_j = 1;
    for (k=0; k<cards[cards[i].translation[j]].num_translations; k++) {
      if (cards[cards[i].translation[j]].translation[k] == i) {
	cards[cards[i].translation[j]].count[k] = max_count;
      } else if (cards[cards[i].translation[j]].count[k] < max_count) {
	tested_j = 0;
      }				       /* end if backtranslation */
    }				       /* end for k */
    if (tested_j && !(cards[cards[i].translation[j]].byte1 & TESTED)) {
      cards[cards[i].translation[j]].byte1 = cards[cards[i].translation[j]].byte1 | tested;
      n_tested[(cards[cards[i].trnaslation[j]].byte1 & LANGUAGE) >> 7]++;
    }				       /* end if tested */
  }			               /* end for j */
}

/* Delete the card with index i */
delete(entry cards[MAX_NUM_ENTRIES],
       word  n[2],		       /* number of entries */
       int   i);

/* Edit the card with index i */
edit(entry cards[MAX_NUM_ENTRIES],
       word  n[2],		       /* number of entries */
       int   i);
